Package org.apache.tiles.ognl

# Class NestedObjectDelegatePropertyAccessor<T>

java.lang.Object
org.apache.tiles.ognl.NestedObjectDelegatePropertyAccessor<T>

Type Parameters:
  `T` - The root object type from which the target object will be extracted.

All Implemented Interfaces:
  `ognl.PropertyAccessor`

public class NestedObjectDelegatePropertyAccessor<T> extends Object implements ognl.PropertyAccessor
Uses a `PropertyAccessor` as a delegate, but passing a nested object as target.

Since:
  2.2.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NestedObjectDelegatePropertyAccessor(NestedObjectExtractor<T> nestedObjectExtractor, ognl.PropertyAccessor propertyAccessor)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getProperty(Map context, Object target, Object name)`
  `String`
  `getSourceAccessor(ognl.OgnlContext context, Object target, Object index)`
  `String`
  `getSourceSetter(ognl.OgnlContext context, Object target, Object index)`
  `void`
  `setProperty(Map context, Object target, Object name, Object value)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NestedObjectDelegatePropertyAccessor

    public NestedObjectDelegatePropertyAccessor(NestedObjectExtractor<T> nestedObjectExtractor, ognl.PropertyAccessor propertyAccessor)
    Constructor.
    Parameters:
      `nestedObjectExtractor` - The extractor of the nested object.
      `propertyAccessor` - The delegated property accessor.
    Since:
      2.2.0

- ## Method Details

  - ### getProperty

    public Object getProperty(Map context, Object target, Object name) throws ognl.OgnlException
    Specified by:
      `getProperty` in interface `ognl.PropertyAccessor`
    Throws:
      `ognl.OgnlException`

  - ### setProperty

    public void setProperty(Map context, Object target, Object name, Object value) throws ognl.OgnlException
    Specified by:
      `setProperty` in interface `ognl.PropertyAccessor`
    Throws:
      `ognl.OgnlException`

  - ### getSourceAccessor

    public String getSourceAccessor(ognl.OgnlContext context, Object target, Object index)
    Specified by:
      `getSourceAccessor` in interface `ognl.PropertyAccessor`

  - ### getSourceSetter

    public String getSourceSetter(ognl.OgnlContext context, Object target, Object index)
    Specified by:
      `getSourceSetter` in interface `ognl.PropertyAccessor`